CertPathTrustManagerParameters (Java SE 12 & JDK 12 )
Keywords: javax.net.ssl.CertPathTrustManagerParameters class

Module java.base
Package javax.net.ssl

## Class CertPathTrustManagerParameters

- java.lang.Object
- - javax.net.ssl.CertPathTrustManagerParameters

- All Implemented Interfaces:
    `ManagerFactoryParameters`

      public class CertPathTrustManagerParameters
      extends Object
      implements ManagerFactoryParameters

  A wrapper for CertPathParameters. This class is used to pass validation settings to CertPath based `TrustManager`s using the `TrustManagerFactory.init()` method.

  Instances of this class are immutable.

  Since:
    1.5
  See Also:
    `X509TrustManager`, `TrustManagerFactory`, `CertPathParameters`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CertPathTrustManagerParameters​(CertPathParameters parameters)` | Construct new CertPathTrustManagerParameters from the specified parameters.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `CertPathParameters` | `getParameters()` | Return a clone of the CertPathParameters encapsulated by this class.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertPathTrustManagerParameters

          public CertPathTrustManagerParameters​(CertPathParameters parameters)

      Construct new CertPathTrustManagerParameters from the specified parameters. The parameters are cloned to protect against subsequent modification.
      Parameters:
        `parameters` - the CertPathParameters to be used
      Throws:
        `NullPointerException` - if parameters is null

  - ### Method Detail

    - #### getParameters

          public CertPathParameters getParameters()

      Return a clone of the CertPathParameters encapsulated by this class.
      Returns:
        a clone of the CertPathParameters encapsulated by this class.